org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class OIDCollection

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.OIDCollection

-     public class OIDCollection
      extends Object

  Java class for OIDCollection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OIDCollection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="oID" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}OID" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<OID>` | `oid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<OID>` | `getOID()` Gets the value of the oid property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oid

          protected List<OID> oid

  - ### Constructor Detail

    - #### OIDCollection

          public OIDCollection()

  - ### Method Detail

    - #### getOID

          public List<OID> getOID()

      Gets the value of the oid property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oid property.

      For example, to add a new item, do as follows:

              getOID().add(newItem);

      Objects of the following type(s) are allowed in the list `OID`

Copyright © 2017 WSO2. All rights reserved.